Bug 184152 - gnome-power-manager notification is misplaced and cut off
gnome-power-manager notification is misplaced and cut off
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-06 16:45 EST by Bernard Johnson
Modified: 2013-03-05 22:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:25:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
where the notification appears at login (28.93 KB, image/png)
2006-03-06 16:46 EST, Bernard Johnson
no flags Details
gnome-power-manager verbose output (2.91 KB, text/plain)
2006-03-08 05:57 EST, Bernard Johnson
no flags Details

  None (edit)
Description Bernard Johnson 2006-03-06 16:45:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.1) Gecko/20060223 Fedora/1.5.0.1-5 Firefox/1.5.0.1

Description of problem:
When I start my gnome session, the low power notification pops up when I log in (this happens every time because of another bug I'm seeing - bug #183679).  The notification bubble is misplaced and cut off.  See attached screen capture.

Version-Release number of selected component (if applicable):
gnome-power-manager-2.13.93-1

How reproducible:
Always

Steps to Reproduce:
1. Login
2. Observer
3.
  

Actual Results:  Notification bubble placed to the far top left of the non-panel area.  So far left, it is somewhat cut off at the edge of the screen.

Expected Results:  The notification should not be displayed until the panels items are complete and it can be associated with it's applet.

Additional info:
Comment 1 Bernard Johnson 2006-03-06 16:46:13 EST
Created attachment 125723 [details]
where the notification appears at login
Comment 2 Richard Hughes 2006-03-08 05:26:23 EST
Can you attach a g-p-m verbose trace to this bug please, of when the icon is not
where it should be. Many thanks.
Comment 3 Bernard Johnson 2006-03-08 05:57:48 EST
Created attachment 125791 [details]
gnome-power-manager verbose output
Comment 4 Richard Hughes 2006-03-08 06:06:26 EST
Thanks, that's exactly what I neede to see. It's really chicken and egg with
that bit of code, we can't display the tray icon until we know the device list,
and we can't display the notification until we have shown the tray. What about
if the notification was just in the bottom left (in this instance) as if the
notification wasn't told where to point (the system default). Is that any good?
Comment 5 Bernard Johnson 2006-03-08 06:13:44 EST
This is not necessarily a login issue - that's just where I normally see it.  To
get the g-p-m verbose output, I just pulled the plug on the mouse and plugged it
back in (after restarting g-p-m in verbose mode).  My gnome-session has been
going quite a while.

Are you saying there is a race condition between the notification and the tray
icon?  If so, why can't the notification be delayed until after the tray icon
has been displayed?
Comment 6 Bug Zapper 2008-04-03 13:04:53 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Bug Zapper 2008-05-06 20:25:12 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.